package com.zd.laboratory.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.hibernate.validator.constraints.Length;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 安全准入申请对象 lab_security_apply
 *
 * @author zd
 * @date 2022-01-24
 */
@ApiModel("安全准入申请")
public class LabSecurityApply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 申请人id */
    @Excel(name = "申请人id")
    @ApiModelProperty(value = "申请人id")
    private Long userId;
    /** 申请人姓名 */
    @Excel(name = "申请人姓名")
    @Length(message = "申请人姓名长度不能超过10")
    @ApiModelProperty(value = "申请人姓名")
    private String userName;
    /** 申请人身份 */
    @Excel(name = "申请人身份")
    @Length(message = "申请人身份长度不能超过2")
    @ApiModelProperty(value = "申请人身份")
    private String userType;
    /** 工号/学号*/
    @Excel(name = "工号/学号")
    @Length(message = "申请人身份长度不能超过20")
    @ApiModelProperty(value = "工号/学号")
    private String userNumber;
    /** 专业*/
    @Excel(name = "专业")
    @Length(message = "申请人身份长度不能超过50")
    @ApiModelProperty(value = "专业")
    private String userMajor;
    /** 专业id*/
    @Excel(name = "专业id")
    @Length(message = "专业id长度不能超过20")
    @ApiModelProperty(value = "专业")
    private Long userMajorId;
    /** 部门id */
    @Excel(name = "部门id")
    @ApiModelProperty(value = "部门id")
    private Long deptId;
    /** 部门名称 */
    @Excel(name = "部门名称")
    @Length(message = "部门名称长度不能超过50")
    @ApiModelProperty(value = "部门名称")
    private String deptName;
    /** 实验室id */
    @Excel(name = "实验室id")
    @ApiModelProperty(value = "实验室id")
    private Long subjectId;
    /** 实验室负责人id */
    @Excel(name = "实验室负责人id")
    @ApiModelProperty(value = "实验室负责人id")
    private Long subjectAdminid;
    /** 实验室名称 */
    @Excel(name = "实验室名称")
    @Length(message = "实验室名称长度不能超过50")
    @ApiModelProperty(value = "实验室名称")
    private String subjectName;
    /** 学校安全证书 */
    @Excel(name = "学校安全证书")
    @Length(message = "学校安全证书长度不能超过255")
    @ApiModelProperty(value = "学校安全证书")
    private String securityCertificate;
    /** 安全承诺书 */
    @Excel(name = "安全承诺书")
    @Length(message = "安全承诺书长度不能超过500")
    @ApiModelProperty(value = "安全承诺书")
    private String securityCommitment;
    /** 风险报告 */
    @Excel(name = "风险报告")
    @Length(message = "风险报告长度不能超过500")
    @ApiModelProperty(value = "风险报告")
    private String riskReport;
    /** 审核状态 0待审核 1驳回 2通过 */
    @Excel(name = "审核状态 0待审核 1驳回 2通过")
    @ApiModelProperty(value = "审核状态 0待审核 1驳回 2通过")
    private Integer auditStatus;
    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm")
    @ApiModelProperty(value = "审核时间")
    private Date auditTime;
    /** 审核人ID */
    @Excel(name = "审核人ID")
    @ApiModelProperty(value = "审核人ID")
    private Long auditId;
    /** 审核人 */
    @Excel(name = "审核人")
    @Length(message = "审核人长度不能超过10")
    @ApiModelProperty(value = "审核人")
    private String auditName;
    /** 驳回原因 */
    @Excel(name = "驳回原因")
    @Length(message = "驳回原因长度不能超过255")
    @ApiModelProperty(value = "驳回原因")
    private String rejectCause;
    /** 驳回时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @Excel(name = "驳回时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm")
    @ApiModelProperty(value = "驳回时间")
    private Date rejectTime;
    /** 驳回资料 1.人员信息 2.院级准入证明 3.风险评估报告 */
    @Excel(name = "驳回资料 1.人员信息 2.院级准入证明 3.风险评估报告")
    @Length(message = "驳回资料 1.人员信息 2.院级准入证明 3.风险评估报告长度不能超过20")
    @ApiModelProperty(value = "驳回资料 1.人员信息 2.院级准入证明 3.风险评估报告")
    private String rejectMaterial;
    /** 申请备注 */
    @Excel(name = "申请备注")
    @Length(message = "申请备注 长度不能超过255")
    @ApiModelProperty(value = "申请备注")
    private String applyCause;
    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "创建时间")
    private Date creatTime;

    /** 有效期 月份时长 */
    @Excel(name = "有效期 月份时长")
    @ApiModelProperty(value = "有效期 月份时长")
    private Long validLength;

    /** 有效期开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效期开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "有效期开始时间")
    private Date validBeginTime;


    /** 有效期结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效期结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "有效期结束时间")
    private Date validEndTime;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setUserType(String userType)
    {
        this.userType = userType;
    }

    public String getUserType()
    {
        return userType;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setSubjectId(Long subjectId)
    {
        this.subjectId = subjectId;
    }

    public Long getSubjectId()
    {
        return subjectId;
    }
    public void setSubjectName(String subjectName)
    {
        this.subjectName = subjectName;
    }

    public String getSubjectName()
    {
        return subjectName;
    }
    public void setSecurityCertificate(String securityCertificate)
    {
        this.securityCertificate = securityCertificate;
    }

    public String getSecurityCertificate()
    {
        return securityCertificate;
    }
    public void setSecurityCommitment(String securityCommitment)
    {
        this.securityCommitment = securityCommitment;
    }

    public String getSecurityCommitment()
    {
        return securityCommitment;
    }
    public void setRiskReport(String riskReport)
    {
        this.riskReport = riskReport;
    }

    public String getRiskReport()
    {
        return riskReport;
    }
    public void setAuditStatus(Integer auditStatus)
    {
        this.auditStatus = auditStatus;
    }

    public Integer getAuditStatus()
    {
        return auditStatus;
    }
    public void setAuditTime(Date auditTime)
    {
        this.auditTime = auditTime;
    }

    public Date getAuditTime()
    {
        return auditTime;
    }
    public void setAuditId(Long auditId)
    {
        this.auditId = auditId;
    }

    public Long getAuditId()
    {
        return auditId;
    }
    public void setAuditName(String auditName)
    {
        this.auditName = auditName;
    }

    public String getAuditName()
    {
        return auditName;
    }
    public void setRejectCause(String rejectCause)
    {
        this.rejectCause = rejectCause;
    }

    public String getRejectCause()
    {
        return rejectCause;
    }
    public void setRejectTime(Date rejectTime)
    {
        this.rejectTime = rejectTime;
    }

    public Date getRejectTime()
    {
        return rejectTime;
    }
    public void setRejectMaterial(String rejectMaterial)
    {
        this.rejectMaterial = rejectMaterial;
    }

    public String getRejectMaterial()
    {
        return rejectMaterial;
    }
    public void setCreatTime(Date creatTime)
    {
        this.creatTime = creatTime;
    }

    public Date getCreatTime()
    {
        return creatTime;
    }
    public Date getValidBeginTime() {        return validBeginTime;    }

    public Long getValidLength() {        return validLength;    }

    public void setValidLength(Long validLength) {        this.validLength = validLength;    }

    public void setValidBeginTime(Date validBeginTime) {
        this.validBeginTime = validBeginTime;
    }
    public Date getValidEndTime() {        return validEndTime;    }

    public void setValidEndTime(Date validEndTime) {        this.validEndTime = validEndTime;    }

    public String getUserMajor() {
        return userMajor;
    }

    public void setUserMajor(String userMajor) {
        this.userMajor = userMajor;
    }
    public String getUserNumber() {
        return userNumber;
    }

    public void setUserNumber(String userNumber) {
        this.userNumber = userNumber;
    }

    public Long getSubjectAdminid() {
        return subjectAdminid;
    }

    public void setSubjectAdminid(Long subjectAdminid) {
        this.subjectAdminid = subjectAdminid;
    }
    public Long getUserMajorId() {        return userMajorId;    }

    public void setUserMajorId(Long userMajorId) {        this.userMajorId = userMajorId;    }

    public String getApplyCause() {        return applyCause;    }

    public void setApplyCause(String applyCause) {        this.applyCause = applyCause;    }
    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("userId", getUserId())
                .append("userName", getUserName())
                .append("userType", getUserType())
                .append("userNumber", getUserNumber())
                .append("userMajor", getUserMajor())
                .append("userMajorId", getUserMajorId())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("subjectId", getSubjectId())
                .append("subjectAdminid", getSubjectAdminid())
                .append("subjectName", getSubjectName())
                .append("securityCertificate", getSecurityCertificate())
                .append("securityCommitment", getSecurityCommitment())
                .append("riskReport", getRiskReport())
                .append("auditStatus", getAuditStatus())
                .append("auditTime", getAuditTime())
                .append("auditId", getAuditId())
                .append("auditName", getAuditName())
                .append("rejectCause", getRejectCause())
                .append("rejectTime", getRejectTime())
                .append("applyCause", getApplyCause())
                .append("rejectMaterial", getRejectMaterial())
                .append("creatTime", getCreatTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("validLength", getValidLength())
                .append("validBeginTime", getValidBeginTime())
                .append("validEndTime", getValidEndTime())
                .toString();
    }
}